Name:           maven-assembly-plugin
Version:        3.1.0
Release:        6
Summary:        Maven Assembly Plugin
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-assembly-plugin/

Source0:        http://archive.apache.org/dist/maven/plugins/maven-assembly-plugin-3.1.0-source-release.zip
#patch content from https://github.com/apache/maven-assembly-plugin/commit/d33a9061185caa57bdf43df41c43ae47a13487dc
Patch0:		upgrade-plexus-archiver-to-4.0.0.patch
#patch content from https://github.com/apache/maven-assembly-plugin/commit/d5e01847897324ba5fa2f7bfa9e025ef2f1444ed
Patch1:		make-archives-reproducible.patch

BuildRequires:  maven-local mvn(org.codehaus.plexus:plexus-utils) mvn(org.codehaus.plexus:plexus-archiver)
BuildRequires:  mvn(commons-codec:commons-codec) mvn(org.codehaus.plexus:plexus-component-annotations)
BuildRequires:  mvn(org.apache.maven:maven-archiver) mvn(org.codehaus.plexus:plexus-component-metadata)
BuildRequires:  mvn(org.apache.maven:maven-artifact) mvn(org.codehaus.plexus:plexus-io)
BuildRequires:  mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-model)
BuildRequires:  mvn(org.apache.maven:maven-plugin-api) mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven.plugins:maven-plugins:pom:) mvn(org.apache.maven.shared:file-management)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations) mvn(org.codehaus.plexus:plexus-interpolation)
BuildRequires:  mvn(org.apache.maven.shared:maven-artifact-transfer) mvn(org.apache.maven.shared:maven-shared-io)
BuildRequires:  mvn(org.apache.maven.shared:maven-filtering) mvn(com.google.code.findbugs:jsr305) mvn(commons-io:commons-io)
BuildRequires:  mvn(org.codehaus.modello:modello-maven-plugin)
BuildArch:      noarch

%description
About Maven's plug-in, which is used to create source files, classes, dependencies, etc.

%package        help
Summary:        Help package for maven-assembly-plugin
Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description    help
This package contains the API documentation for maven-assembly-plugin.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files help -f .mfiles-javadoc
%license NOTICE

%changelog
* Wed 23 2022 baizhonggui <baizhonggui@huawei.com> - 3.1.0-6
- Upgrade plexus-archiver to 4.0.0(sync fixed #MASSEMBLY-900 from upstream)
- Make archives reproducible, reusing m-source-p PoC(sync fixed #MASSEMBLY-921 from upstream)

* Tue  Feb 18 2020 wangye <wangye54@huawei.com> - 3.1.0-5
- Package init
